tigase.jaxmpp.j2se.filetransfer

## Class FileTransferManager.FileTransferSuccessHandler.FileTransferSuccessEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<FileTransferManager.FileTransferSuccessHandler>
    - - tigase.jaxmpp.j2se.filetransfer.FileTransferManager.FileTransferSuccessHandler.FileTransferSuccessEvent

- Enclosing interface:
    FileTransferManager.FileTransferSuccessHandler

      public static class FileTransferManager.FileTransferSuccessHandler.FileTransferSuccessEvent
      extends JaxmppEvent<FileTransferManager.FileTransferSuccessHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferSuccessEvent(SessionObject sessionObject, FileTransfer fileTransfer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(FileTransferManager.FileTransferSuccessHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferSuccessEvent

          public FileTransferSuccessEvent(SessionObject sessionObject,
                                          FileTransfer fileTransfer)

  - ### Method Detail

    - #### dispatch

          public void dispatch(FileTransferManager.FileTransferSuccessHandler handler)
                        throws Exception

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<FileTransferManager.FileTransferSuccessHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `Exception`

Copyright © 2006–2019 Tigase. All rights reserved.